--
-- Create table `wpda_sas_class`
--
CREATE TABLE `wpda_sas_class` (
  `course_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  PRIMARY KEY (`course_id`,`student_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Create table `wpda_sas_course`
--
CREATE TABLE `wpda_sas_course` (
  `course_id` int(11) NOT NULL AUTO_INCREMENT,
  `course_start_date` date NOT NULL,
  `module_id` int(11) NOT NULL,
  `teacher_id` int(11) NOT NULL,
  PRIMARY KEY (`course_id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

--
-- Create table `wpda_sas_grade`
--
CREATE TABLE `wpda_sas_grade` (
  `course_id` int(11) NOT NULL,
  `student_id` int(11) NOT NULL,
  `grade_date` date NOT NULL,
  `grade_name` varchar(30) NOT NULL,
  `grade` varchar(6) NOT NULL,
  PRIMARY KEY (`course_id`,`student_id`,`grade_date`,`grade_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Create table `wpda_sas_module`
--
CREATE TABLE `wpda_sas_module` (
  `module_id` int(11) NOT NULL AUTO_INCREMENT,
  `module_name` varchar(50) NOT NULL,
  `module_description` varchar(4000) NOT NULL,
  PRIMARY KEY (`module_id`),
  UNIQUE KEY `module_name` (`module_name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Create table `wpda_sas_student`
--
CREATE TABLE `wpda_sas_student` (
  `student_id` int(11) NOT NULL AUTO_INCREMENT,
  `student_gender` enum('female','male') DEFAULT NULL,
  `student_date_of_birth` date DEFAULT NULL,
  `student_firstname` varchar(100) NOT NULL,
  `student_lastname` varchar(100) NOT NULL,
  `student_address` varchar(100) NOT NULL,
  `student_zipcode` varchar(10) NOT NULL,
  `student_city` varchar(100) NOT NULL,
  `student_county` varchar(100) DEFAULT NULL,
  `student_country` varchar(100) DEFAULT NULL,
  `student_email` varchar(254) NOT NULL,
  `student_phone_no` varchar(10) DEFAULT NULL,
  `student_registration_date` date DEFAULT NULL,
  `student_wp_username` varchar(60) DEFAULT NULL,
  `student_photo` bigint(20) unsigned DEFAULT NULL,
  PRIMARY KEY (`student_id`),
  UNIQUE KEY `student_email` (`student_email`),
  UNIQUE KEY `student_wp_username` (`student_wp_username`)
) ENGINE=InnoDB AUTO_INCREMENT=92 DEFAULT CHARSET=utf8;

--
-- Create table `wpda_sas_teacher`
--
CREATE TABLE `wpda_sas_teacher` (
  `teacher_id` int(11) NOT NULL AUTO_INCREMENT,
  `teacher_gender` enum('female','male') DEFAULT NULL,
  `teacher_date_of_birth` date DEFAULT NULL,
  `teacher_firstname` varchar(100) NOT NULL,
  `teacher_lastname` varchar(100) NOT NULL,
  `teacher_address` varchar(100) NOT NULL,
  `teacher_zipcode` varchar(10) NOT NULL,
  `teacher_city` varchar(100) NOT NULL,
  `teacher_county` varchar(100) DEFAULT NULL,
  `teacher_country` varchar(100) DEFAULT NULL,
  `teacher_email` varchar(254) NOT NULL,
  `teacher_phone_no` varchar(10) NOT NULL,
  `teacher_hire_date` date DEFAULT NULL,
  `teacher_wp_username` varchar(60) DEFAULT NULL,
  `teacher_photo` bigint(20) unsigned DEFAULT NULL,
  PRIMARY KEY (`teacher_id`),
  UNIQUE KEY `teacher_email` (`teacher_email`),
  UNIQUE KEY `teacher_wp_username` (`teacher_wp_username`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
