--
-- Export table `wp_wpda_project`
--
INSERT INTO `{wp_prefix}wpda_project` (`project_name`, `project_description`, `add_to_menu`, `menu_name`, `project_sequence`) VALUES 
('WPDA SAS','WPDA Student Administration System','Yes','WPDA SAS',0);
SET @PROJECT_ID = LAST_INSERT_ID();

--
-- Export table `wp_wpda_project_page`
--
INSERT INTO `{wp_prefix}wpda_project_page` (`project_id`, `page_name`, `add_to_menu`, `page_type`, `page_schema_name`, `page_table_name`, `page_setname`, `page_mode`, `page_allow_insert`, `page_allow_delete`, `page_allow_import`, `page_allow_bulk`, `page_content`, `page_title`, `page_subtitle`, `page_role`, `page_where`, `page_sequence`) VALUES 
(@PROJECT_ID,'Courses','Yes','parent/child','{wp_schema}','wpda_sas_course','default','edit','yes','yes','yes','yes',0,'Course Administration','','administrator','',10),
(@PROJECT_ID,'Modules','Yes','parent/child','{wp_schema}','wpda_sas_module','edit_teachers','edit','yes','yes','yes','yes',0,'Module Administration','','administrator','',5),
(@PROJECT_ID,'My Courses','Yes','table','{wp_schema}','wpda_sas_student_courses','default','view','yes','yes','yes','yes',0,'My Courses','','subscriber','student_wp_username = $$USER$$',52),
(@PROJECT_ID,'My Grades','Yes','table','{wp_schema}','wpda_sas_student_status','default','view','yes','yes','yes','yes',0,'My Grades','','subscriber','student_wp_username = $$USER$$',51),
(@PROJECT_ID,'My Profile','Yes','table','{wp_schema}','wpda_sas_teacher','default','edit','no','no','yes','yes',0,'My Profile','','contributor','teacher_wp_username = $$USER$$',40),
(@PROJECT_ID,'My Profile','Yes','table','{wp_schema}','wpda_sas_student','default','edit','no','no','yes','yes',0,'My Profile','','subscriber','student_wp_username = $$USER$$',50),
(@PROJECT_ID,'Students','Yes','parent/child','{wp_schema}','wpda_sas_student','default','edit','yes','yes','yes','yes',0,'Student Administration','','administrator','',20),
(@PROJECT_ID,'Teachers','Yes','parent/child','{wp_schema}','wpda_sas_teacher','show_modules','edit','yes','yes','yes','yes',0,'Teacher Administration','','administrator','',15);

--
-- Export table `wp_wpda_project_table`
--
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_class','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[{\"index_name\":\"fk_class_student\",\"unique\":\"No\",\"column_names\":\"student_id\"}],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"on\"},{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"on\"}],\"tableform_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"on\"},{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Class\"}}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_course','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_start_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course id\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module Name\",\"less\":\"off\",\"show\":\"on\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"off\",\"show\":\"on\",\"lookup\":\"teacher_lastname\",\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course ID\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module Name\",\"less\":\"on\",\"show\":\"on\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"on\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"on\",\"show\":\"on\",\"lookup\":\"teacher_lastname\",\"hide_lookup_key\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Courses\",\"default_where\":\"\",\"default_orderby\":\"\",\"custom_table_settings\":{\"inline_editing\":{\"parent\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":true,\"teacher_id\":true},\"child\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":false,\"teacher_id\":false}}}},\"relationships\":[{\"relation_type\":\"nm\",\"source_column_name\":[\"course_id\"],\"target_table_name\":\"wpda_sas_class\",\"target_column_name\":[\"course_id\"],\"relation_table_name\":\"wpda_sas_student\"},{\"relation_type\":\"lookup\",\"source_column_name\":[\"module_id\"],\"target_table_name\":\"wpda_sas_module\",\"target_column_name\":[\"module_id\"],\"target_schema_name\":\"{wp_schema}\"},{\"relation_type\":\"lookup\",\"source_column_name\":[\"teacher_id\"],\"target_table_name\":\"wpda_sas_teacher\",\"target_column_name\":[\"teacher_id\"],\"target_schema_name\":\"{wp_schema}\"}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_course','{wp_schema}','edit_teachers','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_start_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course id\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module Name\",\"less\":\"off\",\"show\":\"off\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"off\",\"show\":\"on\",\"lookup\":\"teacher_lastname\",\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course ID\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module ID\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"on\",\"show\":\"on\",\"lookup\":\"teacher_lastname\",\"hide_lookup_key\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Courses\",\"default_where\":\"\",\"default_orderby\":\"\",\"custom_table_settings\":{\"inline_editing\":{\"parent\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":false,\"teacher_id\":true},\"child\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":false,\"teacher_id\":true}}}},\"relationships\":[{\"relation_type\":\"nm\",\"source_column_name\":[\"course_id\"],\"target_table_name\":\"wpda_sas_class\",\"target_column_name\":[\"course_id\"],\"relation_table_name\":\"wpda_sas_student\"},{\"relation_type\":\"lookup\",\"source_column_name\":[\"teacher_id\"],\"target_table_name\":\"wpda_sas_teacher\",\"target_column_name\":[\"teacher_id\"],\"target_schema_name\":\"{wp_schema}\"}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_course','{wp_schema}','show_modules','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_start_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course id\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module Name\",\"less\":\"off\",\"show\":\"on\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"course_id\",\"label\":\"Course ID\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_id\",\"label\":\"Module Name\",\"less\":\"on\",\"show\":\"on\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"on\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableinfo\":{\"tab_label\":\"Courses\",\"default_where\":\"\",\"default_orderby\":\"\",\"custom_table_settings\":{\"inline_editing\":{\"parent\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":false,\"teacher_id\":false},\"child\":{\"course_id\":false,\"course_start_date\":false,\"module_id\":false,\"teacher_id\":false}}}},\"relationships\":[{\"relation_type\":\"nm\",\"source_column_name\":[\"course_id\"],\"target_table_name\":\"wpda_sas_class\",\"target_column_name\":[\"course_id\"],\"relation_table_name\":\"wpda_sas_student\"},{\"relation_type\":\"lookup\",\"source_column_name\":[\"module_id\"],\"target_table_name\":\"wpda_sas_module\",\"target_column_name\":[\"module_id\"],\"target_schema_name\":\"{wp_schema}\"}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_grade','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"30\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"6\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"grade_date\",\"label\":\"Grade Date\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"grade_name\",\"label\":\"Grade Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"grade\",\"label\":\"Grade\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"course_id\",\"label\":\"Module Name\",\"show\":\"on\",\"lookup\":\"module_name\"},{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"off\",\"lookup\":false}],\"tableform_column_options\":[{\"column_name\":\"grade_date\",\"label\":\"Grade Date\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"grade_name\",\"label\":\"Grade Name\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"grade\",\"label\":\"Grade\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"course_id\",\"label\":\"Module Name\",\"less\":\"on\",\"show\":\"on\",\"lookup\":\"module_name\",\"hide_lookup_key\":\"on\"},{\"column_name\":\"student_id\",\"label\":\"Student id\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableinfo\":{\"tab_label\":\"Grades\",\"default_where\":\"\",\"default_orderby\":\"\",\"custom_table_settings\":{\"inline_editing\":{\"parent\":{\"course_id\":true,\"student_id\":true,\"grade_date\":true,\"grade_name\":true,\"grade\":true},\"child\":{\"course_id\":true,\"student_id\":true,\"grade_date\":true,\"grade_name\":true,\"grade\":true}}}},\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"course_id\"],\"target_table_name\":\"wpda_sas_grade\",\"target_column_name\":[\"course_id\"]},{\"relation_type\":\"lookup\",\"source_column_name\":[\"course_id\",\"student_id\"],\"target_table_name\":\"wpda_sas_course_lookup_with_filter\",\"target_column_name\":[\"course_id\",\"student_id\"],\"target_schema_name\":\"{wp_schema}\"}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_module','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"latin1_swedish_ci\",\"table\":[{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"50\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_description\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"4000\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[{\"index_name\":\"module_name\",\"unique\":\"Yes\",\"column_names\":\"module_name\"}],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"module_id\",\"label\":\"Module ID\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_name\",\"label\":\"Module Name\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"module_description\",\"label\":\"Module Description\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"module_id\",\"label\":\"Module ID\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"module_name\",\"label\":\"Module Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"module_description\",\"label\":\"Module Description\",\"show\":\"on\",\"lookup\":false}],\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"module_id\"],\"target_table_name\":\"wpda_sas_course\",\"target_column_name\":[\"module_id\"]}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_student','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"student_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\'female\',\'male\'\"},{\"column_name\":\"student_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"254\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_registration_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_wp_username\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"60\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"student_photo\",\"data_type\":\"bigint\",\"type_attribute\":\"unsigned\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"20\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"}],\"indexes\":[{\"index_name\":\"student_email\",\"unique\":\"Yes\",\"column_names\":\"student_email\"},{\"index_name\":\"student_wp_username\",\"unique\":\"Yes\",\"column_names\":\"student_wp_username\"}],\"listtable_column_options\":[{\"column_name\":\"student_firstname\",\"label\":\"Firstname\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_lastname\",\"label\":\"Lastname\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_id\",\"label\":\"Student ID\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_gender\",\"label\":\"Gender\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_date_of_birth\",\"label\":\"Date of birth\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_address\",\"label\":\"Address\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_zipcode\",\"label\":\"Zipcode\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_city\",\"label\":\"City\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_county\",\"label\":\"County\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_country\",\"label\":\"Country\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_email\",\"label\":\"Email\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_phone_no\",\"label\":\"Phone\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_registration_date\",\"label\":\"Registration date\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_wp_username\",\"label\":\"Username\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_photo\",\"label\":\"Photo\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"student_id\",\"label\":\"Student ID\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_gender\",\"label\":\"Gender\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_date_of_birth\",\"label\":\"Date of birth\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_firstname\",\"label\":\"Firstname\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_lastname\",\"label\":\"Lastname\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_address\",\"label\":\"Address\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_zipcode\",\"label\":\"Zipcode\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_city\",\"label\":\"City\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_county\",\"label\":\"County\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_country\",\"label\":\"Country\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_email\",\"label\":\"Email\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_phone_no\",\"label\":\"Phone\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_registration_date\",\"label\":\"Registration date\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_wp_username\",\"label\":\"Username\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"student_photo\",\"label\":\"Photo\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableinfo\":{\"tab_label\":\"Students\"},\"relationships\":[{\"relation_type\":\"nm\",\"source_column_name\":[\"student_id\"],\"target_table_name\":\"wpda_sas_class\",\"target_column_name\":[\"student_id\"],\"relation_table_name\":\"wpda_sas_course\"},{\"relation_type\":\"1n\",\"source_column_name\":[\"student_id\"],\"target_table_name\":\"wpda_sas_grade\",\"target_column_name\":[\"student_id\"]},{\"relation_type\":\"1n\",\"source_column_name\":[\"student_id\"],\"target_table_name\":\"wpda_sas_student_status\",\"target_column_name\":[\"student_id\"]}]}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_student_courses','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":null,\"collation\":null,\"table\":[{\"column_name\":\"student_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"student_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"female,male\"},{\"column_name\":\"student_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"254\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_registration_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"module_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"50\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_description\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"4000\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"course_start_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"teacher_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"female,male\"},{\"column_name\":\"teacher_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"254\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_hire_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_gender\",\"label\":\"Student gender\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_date_of_birth\",\"label\":\"Student date of birth\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_firstname\",\"label\":\"Student firstname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_lastname\",\"label\":\"Student lastname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_address\",\"label\":\"Student address\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_zipcode\",\"label\":\"Student zipcode\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_city\",\"label\":\"Student city\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_county\",\"label\":\"Student county\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_country\",\"label\":\"Student country\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_email\",\"label\":\"Student email\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_phone_no\",\"label\":\"Student phone no\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_registration_date\",\"label\":\"Student registration date\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"module_id\",\"label\":\"Module ID\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"module_name\",\"label\":\"Module Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"module_description\",\"label\":\"Module description\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"course_start_date\",\"label\":\"Start Date\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"teacher_id\",\"label\":\"Teacher id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_gender\",\"label\":\"Teacher gender\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Teacher date of birth\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_firstname\",\"label\":\"Teacher firstname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_lastname\",\"label\":\"Teacher\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"teacher_address\",\"label\":\"Teacher address\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_zipcode\",\"label\":\"Teacher zipcode\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_city\",\"label\":\"Teacher city\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_county\",\"label\":\"Teacher county\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_country\",\"label\":\"Teacher country\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_email\",\"label\":\"Teacher email\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_phone_no\",\"label\":\"Teacher phone no\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_hire_date\",\"label\":\"Teacher hire date\",\"show\":\"off\",\"lookup\":false}],\"tableform_column_options\":[{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"on\"},{\"column_name\":\"student_gender\",\"label\":\"Student gender\",\"show\":\"on\"},{\"column_name\":\"student_date_of_birth\",\"label\":\"Student date of birth\",\"show\":\"on\"},{\"column_name\":\"student_firstname\",\"label\":\"Student firstname\",\"show\":\"on\"},{\"column_name\":\"student_lastname\",\"label\":\"Student lastname\",\"show\":\"on\"},{\"column_name\":\"student_address\",\"label\":\"Student address\",\"show\":\"on\"},{\"column_name\":\"student_zipcode\",\"label\":\"Student zipcode\",\"show\":\"on\"},{\"column_name\":\"student_city\",\"label\":\"Student city\",\"show\":\"on\"},{\"column_name\":\"student_county\",\"label\":\"Student county\",\"show\":\"on\"},{\"column_name\":\"student_country\",\"label\":\"Student country\",\"show\":\"on\"},{\"column_name\":\"student_email\",\"label\":\"Student email\",\"show\":\"on\"},{\"column_name\":\"student_phone_no\",\"label\":\"Student phone no\",\"show\":\"on\"},{\"column_name\":\"student_registration_date\",\"label\":\"Student registration date\",\"show\":\"on\"},{\"column_name\":\"module_id\",\"label\":\"Module id\",\"show\":\"on\"},{\"column_name\":\"module_name\",\"label\":\"Module name\",\"show\":\"on\"},{\"column_name\":\"module_description\",\"label\":\"Module description\",\"show\":\"on\"},{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"on\"},{\"column_name\":\"course_start_date\",\"label\":\"Course start date\",\"show\":\"on\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher id\",\"show\":\"on\"},{\"column_name\":\"teacher_gender\",\"label\":\"Teacher gender\",\"show\":\"on\"},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Teacher date of birth\",\"show\":\"on\"},{\"column_name\":\"teacher_firstname\",\"label\":\"Teacher firstname\",\"show\":\"on\"},{\"column_name\":\"teacher_lastname\",\"label\":\"Teacher lastname\",\"show\":\"on\"},{\"column_name\":\"teacher_address\",\"label\":\"Teacher address\",\"show\":\"on\"},{\"column_name\":\"teacher_zipcode\",\"label\":\"Teacher zipcode\",\"show\":\"on\"},{\"column_name\":\"teacher_city\",\"label\":\"Teacher city\",\"show\":\"on\"},{\"column_name\":\"teacher_county\",\"label\":\"Teacher county\",\"show\":\"on\"},{\"column_name\":\"teacher_country\",\"label\":\"Teacher country\",\"show\":\"on\"},{\"column_name\":\"teacher_email\",\"label\":\"Teacher email\",\"show\":\"on\"},{\"column_name\":\"teacher_phone_no\",\"label\":\"Teacher phone no\",\"show\":\"on\"},{\"column_name\":\"teacher_hire_date\",\"label\":\"Teacher hire date\",\"show\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Courses\"}}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_student_status','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":null,\"collation\":null,\"table\":[{\"column_name\":\"student_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"student_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"female,male\"},{\"column_name\":\"student_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"254\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"student_registration_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"module_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"50\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"module_description\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"4000\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"course_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"50\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"course_start_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"0\",\"list\":\"\"},{\"column_name\":\"teacher_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"female,male\"},{\"column_name\":\"teacher_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"254\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"10\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"teacher_hire_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade_name\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"30\",\"extra\":\"\",\"default\":null,\"list\":\"\"},{\"column_name\":\"grade\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"6\",\"extra\":\"\",\"default\":null,\"list\":\"\"}],\"indexes\":[],\"table_type\":\"VIEW\",\"listtable_column_options\":[{\"column_name\":\"module_name\",\"label\":\"Module Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"course_name\",\"label\":\"Course Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"grade_name\",\"label\":\"Grade Name\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"grade_date\",\"label\":\"Grade Date\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"grade\",\"label\":\"Grade\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_gender\",\"label\":\"Student gender\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_date_of_birth\",\"label\":\"Student date of birth\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_firstname\",\"label\":\"Student firstname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_lastname\",\"label\":\"Student lastname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_address\",\"label\":\"Student address\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_zipcode\",\"label\":\"Student zipcode\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_city\",\"label\":\"Student city\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_county\",\"label\":\"Student county\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_country\",\"label\":\"Student country\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_email\",\"label\":\"Student email\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_phone_no\",\"label\":\"Student phone\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"student_registration_date\",\"label\":\"Student registration date\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"module_id\",\"label\":\"Module id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"module_description\",\"label\":\"Module description\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"course_start_date\",\"label\":\"Course start date\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_id\",\"label\":\"Teacher id\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_gender\",\"label\":\"Teacher gender\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Teacher date of birth\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_firstname\",\"label\":\"Teacher firstname\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_lastname\",\"label\":\"Teacher\",\"show\":\"on\",\"lookup\":false},{\"column_name\":\"teacher_address\",\"label\":\"Teacher address\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_zipcode\",\"label\":\"Teacher zipcode\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_city\",\"label\":\"Teacher city\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_county\",\"label\":\"Teacher county\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_country\",\"label\":\"Teacher country\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_email\",\"label\":\"Teacher email\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_phone_no\",\"label\":\"Teacher phone no\",\"show\":\"off\",\"lookup\":false},{\"column_name\":\"teacher_hire_date\",\"label\":\"Teacher hire date\",\"show\":\"off\",\"lookup\":false}],\"tableform_column_options\":[{\"column_name\":\"student_id\",\"label\":\"Student id\",\"show\":\"on\"},{\"column_name\":\"student_gender\",\"label\":\"Student gender\",\"show\":\"on\"},{\"column_name\":\"student_date_of_birth\",\"label\":\"Student date of birth\",\"show\":\"on\"},{\"column_name\":\"student_firstname\",\"label\":\"Student firstname\",\"show\":\"on\"},{\"column_name\":\"student_lastname\",\"label\":\"Student lastname\",\"show\":\"on\"},{\"column_name\":\"student_address\",\"label\":\"Student address\",\"show\":\"on\"},{\"column_name\":\"student_zipcode\",\"label\":\"Student zipcode\",\"show\":\"on\"},{\"column_name\":\"student_city\",\"label\":\"Student city\",\"show\":\"on\"},{\"column_name\":\"student_county\",\"label\":\"Student county\",\"show\":\"on\"},{\"column_name\":\"student_country\",\"label\":\"Student country\",\"show\":\"on\"},{\"column_name\":\"student_email\",\"label\":\"Student email\",\"show\":\"on\"},{\"column_name\":\"student_phone_no\",\"label\":\"Student phone no\",\"show\":\"on\"},{\"column_name\":\"student_registration_date\",\"label\":\"Student registration date\",\"show\":\"on\"},{\"column_name\":\"module_id\",\"label\":\"Module id\",\"show\":\"on\"},{\"column_name\":\"module_name\",\"label\":\"Module name\",\"show\":\"on\"},{\"column_name\":\"module_description\",\"label\":\"Module description\",\"show\":\"on\"},{\"column_name\":\"course_id\",\"label\":\"Course id\",\"show\":\"on\"},{\"column_name\":\"course_name\",\"label\":\"Course name\",\"show\":\"on\"},{\"column_name\":\"course_start_date\",\"label\":\"Course start date\",\"show\":\"on\"},{\"column_name\":\"teacher_id\",\"label\":\"Teacher id\",\"show\":\"on\"},{\"column_name\":\"teacher_gender\",\"label\":\"Teacher gender\",\"show\":\"on\"},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Teacher date of birth\",\"show\":\"on\"},{\"column_name\":\"teacher_firstname\",\"label\":\"Teacher firstname\",\"show\":\"on\"},{\"column_name\":\"teacher_lastname\",\"label\":\"Teacher lastname\",\"show\":\"on\"},{\"column_name\":\"teacher_address\",\"label\":\"Teacher address\",\"show\":\"on\"},{\"column_name\":\"teacher_zipcode\",\"label\":\"Teacher zipcode\",\"show\":\"on\"},{\"column_name\":\"teacher_city\",\"label\":\"Teacher city\",\"show\":\"on\"},{\"column_name\":\"teacher_county\",\"label\":\"Teacher county\",\"show\":\"on\"},{\"column_name\":\"teacher_country\",\"label\":\"Teacher country\",\"show\":\"on\"},{\"column_name\":\"teacher_email\",\"label\":\"Teacher email\",\"show\":\"on\"},{\"column_name\":\"teacher_phone_no\",\"label\":\"Teacher phone no\",\"show\":\"on\"},{\"column_name\":\"teacher_hire_date\",\"label\":\"Teacher hire date\",\"show\":\"on\"},{\"column_name\":\"grade_date\",\"label\":\"Grade date\",\"show\":\"on\"},{\"column_name\":\"grade_name\",\"label\":\"Grade name\",\"show\":\"on\"},{\"column_name\":\"grade\",\"label\":\"Grade\",\"show\":\"on\"}],\"tableinfo\":{\"tab_label\":\"Status\"}}');
INSERT INTO `{wp_prefix}wpda_project_table` (`wpda_table_name`, `wpda_schema_name`, `wpda_table_setname`, `wpda_table_design`) VALUES ('wpda_sas_teacher','{wp_schema}','default','{\"design_mode\":\"advanced\",\"engine\":\"InnoDB\",\"collation\":\"utf8_general_ci\",\"table\":[{\"column_name\":\"teacher_id\",\"data_type\":\"int\",\"type_attribute\":\"\",\"key\":\"Yes\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"auto_increment\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_gender\",\"data_type\":\"enum\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\'female\',\'male\'\"},{\"column_name\":\"teacher_date_of_birth\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_firstname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_lastname\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_address\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_zipcode\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_city\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_county\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_country\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"100\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_email\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"254\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_phone_no\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"Yes\",\"max_length\":\"10\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_hire_date\",\"data_type\":\"date\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_wp_username\",\"data_type\":\"varchar\",\"type_attribute\":\"\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"60\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"},{\"column_name\":\"teacher_photo\",\"data_type\":\"bigint\",\"type_attribute\":\"unsigned\",\"key\":\"No\",\"mandatory\":\"No\",\"max_length\":\"20\",\"extra\":\"\",\"default\":\"\",\"list\":\"\"}],\"indexes\":[{\"index_name\":\"teacher_email\",\"unique\":\"Yes\",\"column_names\":\"teacher_email\"},{\"index_name\":\"teacher_wp_username\",\"unique\":\"Yes\",\"column_names\":\"teacher_wp_username\"}],\"listtable_column_options\":[{\"column_name\":\"teacher_id\",\"label\":\"Teacher ID\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_gender\",\"label\":\"Gender\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Date of birth\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_firstname\",\"label\":\"Firstname\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_lastname\",\"label\":\"Lastname\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_address\",\"label\":\"Address\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_zipcode\",\"label\":\"Zipcode\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_city\",\"label\":\"City\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_county\",\"label\":\"County\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_country\",\"label\":\"Country\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_email\",\"label\":\"Email\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_phone_no\",\"label\":\"Phone\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_hire_date\",\"label\":\"Hire date\",\"less\":\"off\",\"show\":\"off\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_wp_username\",\"label\":\"Username\",\"less\":\"off\",\"show\":\"off\",\"lookup\":\"ID\",\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_photo\",\"label\":\"Photo\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"tableform_column_options\":[{\"column_name\":\"teacher_id\",\"label\":\"Teacher ID\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_gender\",\"label\":\"Gender\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_date_of_birth\",\"label\":\"Date of birth\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_firstname\",\"label\":\"Firstname\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_lastname\",\"label\":\"Lastname\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_address\",\"label\":\"Address\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_zipcode\",\"label\":\"Zipcode\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_city\",\"label\":\"City\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_county\",\"label\":\"County\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_country\",\"label\":\"Country\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_email\",\"label\":\"Email\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_phone_no\",\"label\":\"Phone\",\"less\":\"on\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_hire_date\",\"label\":\"Hire date\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"},{\"column_name\":\"teacher_wp_username\",\"label\":\"Username\",\"less\":\"off\",\"show\":\"on\",\"lookup\":\"user_login\",\"hide_lookup_key\":\"on\"},{\"column_name\":\"teacher_photo\",\"label\":\"Photo\",\"less\":\"off\",\"show\":\"on\",\"lookup\":false,\"hide_lookup_key\":\"off\"}],\"relationships\":[{\"relation_type\":\"1n\",\"source_column_name\":[\"teacher_id\"],\"target_table_name\":\"wpda_sas_course\",\"target_column_name\":[\"teacher_id\"]},{\"relation_type\":\"lookup\",\"source_column_name\":[\"teacher_wp_username\"],\"target_table_name\":\"wp_users\",\"target_column_name\":[\"user_login\"],\"target_schema_name\":\"{wp_schema}\"}]}');

